package com.op.mes.mapper;

import java.util.List;

import com.op.mes.domain.ProRouteLine;
import org.apache.ibatis.annotations.Mapper;

/**
 * 工艺线体关联Mapper接口
 *
 * @author Open Platform
 * @date 2023-07-13
 */
@Mapper
public interface ProRouteLineMapper {
	/**
	 * 查询工艺线体关联
	 *
	 * @param recordId 工艺线体关联主键
	 * @return 工艺线体关联
	 */
	public ProRouteLine selectProRouteLineByRecordId(String recordId);

	/**
	 * 查询工艺线体关联列表
	 *
	 * @param proRouteLine 工艺线体关联
	 * @return 工艺线体关联集合
	 */
	public List<ProRouteLine> selectProRouteLineList(ProRouteLine proRouteLine);

	/**
	 * 新增工艺线体关联
	 *
	 * @param proRouteLine 工艺线体关联
	 * @return 结果
	 */
	public int insertProRouteLine(ProRouteLine proRouteLine);

	/**
	 * 修改工艺线体关联
	 *
	 * @param proRouteLine 工艺线体关联
	 * @return 结果
	 */
	public int updateProRouteLine(ProRouteLine proRouteLine);

	/**
	 * 删除工艺线体关联
	 *
	 * @param recordId 工艺线体关联主键
	 * @return 结果
	 */
	public int deleteProRouteLineByRecordId(String recordId);

	/**
	 * 批量删除工艺线体关联
	 *
	 * @param recordIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProRouteLineByRecordIds(String[] recordIds);

	public List<ProRouteLine> getRouteProdLineListUndo(ProRouteLine proRouteLine);
	List<ProRouteLine> getRouteProdLineListDo(ProRouteLine proRouteLine);

	void deleteByRouteId(ProRouteLine proRouteLine);
}
